const HtmlValidate = require('html-validate').HtmlValidate;
const config = {
	extends: [
		"htmlvalidate:recommended",
	],

	transform: {
		"\\.js$": "<rootDir>/src/transform",
	},
};

test('should find errors in "component.js"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/component.js");
	expect(report.valid).toBeFalsy();
	expect(report.results).toMatchSnapshot();
});

test('should find errors in "route.js"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/route.js");
	expect(report.valid).toBeFalsy();
	expect(report.results).toMatchSnapshot();
});
